## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanObjectStackCache Class Template Reference

`#include <XalanObjectStackCache.hpp>`

Inheritance diagram for XalanObjectStackCache:

[legend]
Collaboration diagram for XalanObjectStackCache:

[legend]
List of all members.

## Public Types

- typedef XalanVector<ObjectType*> VectorType
- typedef ObjectType CacheObjectType

## Public Methods

- XalanObjectStackCache (MemoryManagerType &theManager, unsigned int initialListSize=0)
- ~XalanObjectStackCache ()
- ObjectType* get ()
- ObjectType* top ()
- ObjectType* release ()
- void reset ()

## Public Attributes

- CreateFunctorType m_createFunctor
- DeleteFunctorType m_deleteFunctor
- ResetFunctorType m_resetFunctor

### template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>> class XalanObjectStackCache

## Member Typedef Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef ObjectType XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::CacheObjectType

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef XalanVector< ObjectType *> XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::VectorType<ObjectType*>

## Constructor & Destructor Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType> ( | MemoryManagerType & theManager,
| unsigned int initialListSize = 0 )`[explicit]`

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::~XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType> ( | )

## Member Function Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ObjectType * XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::get ( | )

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ObjectType * XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::release ( | )

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
void XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::reset ( | )

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ObjectType * XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::top ( | )

## Member Data Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
CreateFunctorType XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_createFunctor

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
DeleteFunctorType XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_deleteFunctor

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ResetFunctorType XalanObjectStackCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_resetFunctor

The documentation for this class was generated from the following file:

- XalanObjectStackCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.